Please merge (or sync?) latest version of node-tap from Debian

Bug #1730064 reported by Hans Joachim Desserud on 2017-11-04
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
node-tap (Debian)
Fix Released
Unknown
node-tap (Ubuntu)
Undecided
Simon Quigley
Bionic
Undecided
Simon Quigley

Bug Description

The node-tap package in Ubuntu currently has a delta, which according to the changelog [1] is in place to avoid flaky autopkgtests and failures with nodejs6.

There's now a newer version packaged in Debian, 10.7.2+ds1-4 [2], which seems to adress these issues. (It refers to one of the same bug reports as the Ubuntu delta too) I'm not sure if there's a 100% overlap or if there might be more or less tests skipped or fixed in the newer version.

Could someone please test whether the newer package version could be synced to bionic or alternatively if it could be merged with the parts of the Ubuntu delta still required? The main reason I'm bringing this up is that I saw that many packages in the nodejs ecosystem are waiting for dependencies [3]. Digging further into this, I noticed that the majority of these are directly or in-directly waiting for node-tap >= 10. So a newer version would probably unblock most of these.

I've taken the liberty of subscribing the people involved in the Ubuntu delta, so that you may assess if parts of the delta are still required. :)

[1] https://patches.ubuntu.com/n/node-tap/node-tap_8.0.0-4ubuntu5.patch
[2] https://tracker.debian.org/media/packages/n/node-tap/changelog-10.7.2%2Bds1-4
[3] https://launchpad.net/ubuntu/bionic/amd64/+builds?build_text=&build_state=depwait

Simon Quigley (tsimonq2) wrote :

Let's see how syncing it goes.

Changed in node-tap (Ubuntu Bionic):
status: New → In Progress
assignee: nobody → Simon Quigley (tsimonq2)
Changed in node-tap (Ubuntu):
status: In Progress → Fix Released
Simon Quigley (tsimonq2) wrote :

This bug was fixed in the package node-tap - 10.7.2+ds1-4

---------------
node-tap (10.7.2+ds1-4) unstable; urgency=medium

  * Bug fix: "node-tap FTBFS: test failures", thanks to Adrian Bunk
    (Closes: #876938). Avoid timeout test
  * coverall is recommended

 -- Bastien Roucariès <email address hidden> Wed, 27 Sep 2017 13:53:16 +0200

node-tap (10.7.2+ds1-3) unstable; urgency=medium

  * Fix autopkgtest by not using timeout

 -- Bastien Roucariès <email address hidden> Mon, 18 Sep 2017 11:15:40 +0200

node-tap (10.7.2+ds1-2) unstable; urgency=medium

  * Fix autopkgtest

 -- Bastien Roucariès <email address hidden> Fri, 15 Sep 2017 10:56:06 +0200

node-tap (10.7.2+ds1-1) unstable; urgency=medium

  * New upstream version (Closes: #872899).
  * Bump policy no changes
  * Add myself as maintainer

 -- Bastien Roucariès <email address hidden> Thu, 14 Sep 2017 13:42:33 +0200

node-tap (8.0.0-6) unstable; urgency=medium

  * Team upload
  * Use module node-clean-yaml-object instad of patch
  * Use node-tap-mocha-reporter instead of patch
  * Use node-stack-utils instead of patch

 -- Bastien Roucariès <email address hidden> Thu, 07 Sep 2017 11:11:55 +0200

node-tap (8.0.0-5) unstable; urgency=medium

  * Team upload.
  * Use module foreground-child instead of patch.
  * Run tap using a wrapper in order to get usage.

 -- Bastien Roucariès <email address hidden> Fri, 01 Sep 2017 14:31:56 +0200

Changed in node-tap (Debian):
status: Unknown → New
Changed in node-tap (Debian):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.